using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ManualSoftwareSystem.lib
{
    internal class clsLanguageJapan
    {

        public string Translate(string strEnglish)
        {

            switch (strEnglish)
            {
                case "Operator":
                    return "作業者";
                case "Operator (*Required)":
                    return "作業者(*必須)";
                case "Add":
                    return "追加";
                case "Del":
                    return "削除"; 
                case "Yes":
                    return "はい";
                case "Cancel":
                    return "キャンセル";
                case "Operator is Blanks":
                    return "作業者が入力されていません";
                case "Warning":
                    return "注意";
                case "Inspection information":
                    return "検査情報";
                case "Please fill out inspection information":
                    return "検査情報を入力して下さい";
                case "Weather":
                    return "天気";
                case "Temperature":
                    return "気温";
                case "Humidity":
                    return "湿度";
                case "Inspection common remarks":
                    return "検査共通の注意事項";
                case "Weather is Blanks":
                    return "天気が入力されていません";
                case "Temperature is Blanks":
                    return "気温が入力されていません";
                case "Humidity is Blanks":
                    return "湿度が入力されていません";
                case "Inspection common remarks is Blanks":
                    return "検査共通の注意事項が入力されていません";
                case "Operation Manual":
                    return "作業マニュアル";
                case "Inspection Work":
                    return "検査作業";
                case "Inspection Result":
                    return "検査結果";
                case "Inspection Result Output":
                    return "検査結果出力";
                case "Work History":
                    return "作業履歴";
                case "Search Function":
                    return "検索";
                case "Setting":
                    return "設定";
                case "Master Maintenance":
                    return "マスタメンテナンス";
                case "New":
                    return "新規";
                case "Edit":
                    return "編集";
                case "Login":
                    return "ログイン";
                case "User":
                    return "ユーザー";
                case "Password":
                    return "パスワード";
                case "OK":
                    return "OK";
                case "Setting user Information":
                    return "設定ユーザー情報";
                case "User ID":
                    return "ユーザーID";
                case "Master Maintenance user Information":
                    return "マスタメンテナンスユーザー情報";
                case "Save":
                    return "保存";
                case "Please insert the USB key.":
                    return "USBキーを使用してください";
                case "Not correct":
                    return "正しくありません";
                case "No file selected.": //No Check
                    return "ファイルが選択されていません";
                case "Login Not correct":
                    return "ログインが正しくありません";
                case "User ID Setting is Blanks":
                    return "ユーザーID設定が入力されていません";
                case "Password Setting is Blanks":
                    return "パスワード設定が入力されていません";
                case "User ID Master is Blanks":
                    return "ユーザーIDマスタが入力されていません";
                case "Password Master is Blanks":
                    return "パスワードマスタが入力されていません";
                case "Registration is Complete.":
                    return "登録が完了しました";
                case "Information":
                    return "情報";
                //case "Blanks and double quotation marks cannot be entered.":
                case "Blanks and double quotation marks are not allowed.":
                    return "空白とダブルクォーテーションは入力出来ません";
                case "Name(Format)":
                    return "名前(形式)";
                case "Index":
                    return "インデックス";
                case "Information1":
                    return "情報1";
                case "Information2":
                    return "情報2";
                case "Master Maintenance New":
                    return "新規マスタメンテナンス";
                case "It will be the input file name of the product information.":
                    return "製品情報がファイル名に入力されます";
                case "File name":
                    return "ファイル名";
                //case "Product No":
                case "Product":
                    return "製品";
                case "Version":
                    return "バージョン";
                case "Information3":
                    return "情報3";
                case "Information4":
                    return "情報4";
                case "Information5":
                    return "情報5";
                case "Excel output format setting":
                    return "エクセル出力設定";
                case "Select":
                    return "選択";
                case "Clear":
                    return "クリア";
                case "Excel output path is Blanks":
                    return "エクセル出力のパスが入力されていません";
                case "Name(Format) is Blanks":
                    return "名前(形式)が入力されていません";
                //case "Product No is Blanks":
                case "Product is Blanks":
                    return "製品は入力されていません";
                case "Version is Blanks":
                    return "バージョンが入力されていません";
                case "Index is Blanks":
                    return "インデックスが入力されていません";
                case "Information1 is Blanks":
                    return "情報1が入力されていません";
                case "Information2 is Blanks":
                    return "情報2が入力されていません";
                case "Information3 is Blanks":
                    return "情報3が入力されていません";
                case "Information4 is Blanks":
                    return "情報4が入力されていません";
                case "Information5 is Blanks":
                    return "情報5が入力されていません";
                case "Name(Format) : Double quotes are not allowed.":
                    return "名前(形式)にダブルクォーテーションは入力出来ません";
                //case "Product No : Double quotes are not allowed.":
                case "Product : Double quotes are not allowed.":
                    return "製品にダブルクォーテーションは入力出来ません";
                case "Version : Double quotes are not allowed.":
                    return "バージョンにダブルクォーテーションは入力出来ません";
                case "Index : Double quotes are not allowed.":
                    return "インデックスにダブルクォーテーションは入力出来ません";
                case "Information1 : Double quotes are not allowed.":
                    return "情報1にダブルクォーテーションは入力出来ません";
                case "Information2 : Double quotes are not allowed.":
                    return "情報2にダブルクォーテーションは入力出来ません";
                case "Information3 : Double quotes are not allowed.":
                    return "情報3にダブルクォーテーションは入力出来ません";
                case "Information4 : Double quotes are not allowed.":
                    return "情報4にダブルクォーテーションは入力出来ません";
                case "Information5 : Double quotes are not allowed.":
                    return "情報5にダブルクォーテーションは入力出来ません";
                case "Serial USB Not correct"://
                    return "シリアル USB 正しくありません";
                case "Registration is Complete":
                    return "登録が完了しました";
                case "Auto adjustment":
                    return "枠の自動調整";
                case "Add line":
                    return "行の追加";
                case "Del line":
                    return "行の削除";
                case "Copy line":
                    return "行のコピー";
                case "Cut line":
                    return "行の切り取り";
                case "Paste line":
                    return "行の貼り付け";
                //case "Viewer":
                case "Preview":
                    return "プレビュー";
                case "Save as":
                    return "名前を付けて保存";
                case "Select Photos"://
                    return "写真を選択";
                case "Please select a row"://
                    return "行を選択してください";
                case "Copy"://
                    return "コピー";
                case "Paste"://
                    return "ペースト";
                case "Save as is Complete."://
                    return "そのまま保存完了";
                case "PIC Main1":
                    return "メイン画像1";
                case "PIC Main2":
                    return "メイン画像2";
                case "PIC Sub":
                    return "サブ画像";
                case "Comment":
                    return "コメント";
                case "Title":
                    return "タイトル";
                case "Message":
                    return "メッセージ";
                case "Manual":
                    return "マニュアルに使用";
                case "Input Conditions":
                    return "入力設定";
                case "Input Comment":
                    return "入力用コメント";
                case "Input Value1":
                    return "入力値1";
                case "Input Value2":
                    return "入力値2";
                case "Unit":
                    return "単位";
                case "Master file":
                    return "マスタファイル";
                //case "Are you satisfied with this registration information?":
                case "Are you sure with this registration information?":
                    return "この登録情報でよろしいでしょうか？";
                case "Confirmation":
                    return "確認";
                case "CSV file":
                    return "CSVファイル";
                case "OK\r\nNEXT":
                    return "OK\r\nNEXT";
                case "STOP":
                    return "STOP";
                case "Finished to the end. Repeat Work?":
                    return "完了しました 繰り返し作業を行いますか？";
                case "Reset":
                    return "リセット";
                case "Enter serial number"://
                    return "シリアル番号を入力してください";
                case "Data is Blanks":
                    return "内容が入力されていません";
                //case "Error judgment. Would you like to reconfirm?":
                case "Error. Would you like to reconfirm?":
                    return "エラー 再確認しますか？";
                case "Please key data again."://
                    return "データをもう一度キー入力してください";
                case "Restart":
                    return "再開";
                case "Handing\r\nOver":
                    return "引継ぎ";
                case "END":
                    return "終了";
                case "Input information":
                    return "情報入力";
                case "Input error information":
                    return "情報入力";
                //case "Detailed comment":
                case "Error details":
                    return "エラー内容";
                //case "Action content":
                case "Action details":
                    return "対応内容";
                //case "Selecting an inspection executable":
                case "Selecting an inspection master file":
                    return "検査マスタファイルの選択";
                case "Select the inspection work  it is working on.":
                    return "検査中の作業を選択";
                //case "Create an inspection table from the master and then\r\nImplement it.":
                case "Create an inspection work from the master.":
                    return "マスタから検査作業を作成";
                case "First page":
                    return "最初に戻る";
                case "Previous page":
                    return "1つ前に戻る";
                case "Do you want to start from the first page?":
                    return "最初から再開しますか？";
                case "Do you want to start from the previous page?":
                    return "1つ前から再開しますか？";
                case "Select mode":
                    return "モード選択";
                case "Selection of inspection result display method.":
                    return "検査結果の表示方法の選択。";
                case "Displays inspection completion results.":
                    return "検査完了結果を表示します。";
                case "Displays the interim results of the inspection.":
                    return "検査の中間結果を表示します。";
                case "Work History Viewer":
                    return "作業履歴確認";
                //case "Execution name":
                case "Inspection results file name":
                    return "検査結果ファイル名";
                case "Start item":
                    return "開始フラグ";
                case "End item":
                    return "完了フラグ";
                case "Information 1":
                    return "情報1";
                case "Information 2":
                    return "情報2";
                case "Information 3":
                    return "情報3";
                case "Start date":
                    return "開始日";
                case "Start time":
                    return "開始時間";
                case "End date":
                    return "完了日";
                case "End time":
                    return "完了時間";
                case "All":
                    return "すべて";
                case "Work history"://
                    return "職歴";
                case "Completion results":
                    return "完了結果";
                case "Working":
                    return "作業中";
                case "Error":
                    return "エラー";
                case "Search":
                    return "検索";
                case "Search is Blanks":
                    return "検索ワードが入力されていません";
                //case "Detailed Comment is Blanks":
                case "Error details is Blanks":
                    return "エラー内容が入力されていません";
                case "Date Time":
                    return "日時";
                case "File Type":
                    return "ファイルの種類";
                case "File Name":
                    return "ファイル名";
                case "Condition":
                    return "状態";
                case "Type":
                    return "種類";
                //case "Judgment":
                case "Judgement":
                    return "判定";
                case "An asterisk \" * \" can be used as a wildcard.":
                    return "アスタリスクはワイルドカードに使用出来ます";
                //case "If you don't want to set the number of characters,  don't enter anything.":
                case "If you don't want to set the number of characters,  don't input anything.":
                    return "文字数を設定しない場合は何も入力しないでください";
                case "Word count":
                    return "文字数";
                case "Check to Upper case letters and Lower case letters":
                    return "大文字・小文字を判別する";
                //case "Input Required":
                case "Required input":
                    return "必須入力";
                case "Standard value":
                    return "基準値";
                //case "Formula":
                case "Judgment method":
                    return "判定方法";
                case "Min":
                    return "最小値";
                case "Max":
                    return "最大値";
                //case "** Blanks and double quotation marks cannot be entered.":
                case "** Blanks and double quotation marks are not allowed.":
                    return "**空白とダブルクォーテーションは入力出来ません";
                case "** File path + file name must be within 200 characters":
                    return "** ファイルパス + ファイル名は 200 文字以内で設定してください";
                //case "Serial":
                case "Serial NO":
                    return "シリアルナンバー";
                //case "Product no":              
                //    return "製品番号";
                //case "Serial is Blanks":
                case "Serial NO is Blanks":
                    return "シリアルナンバーが入力されていません";
                //case "Product no is Blanks":             
                //    return "製品番号はブランクです";
                //case "Serial : Double quotes are not allowed.":
                case "Serial NO : Double quotes are not allowed.":
                    return "シリアルナンバーにダブルクォーテーションは入力出来ません";
                case "Completion file":
                    return "完了ファイル";
                case "Working file":
                    return "作業中ファイル";
                case "Browse Picture File":
                    return "画像ファイルを参照する";
                case "Master Maintenance Image":
                    return "マスタメンテナンス画面";
                //case "File Format Wrong.":
                case "File Format is not correct.":
                    return "ファイル形式が正しくありません";
                case "Excel file":
                    return "エクセルファイル";
                case "Name":
                    return "名称";
                case "Remark":
                    return "注意事項";
                case "Name is Blanks":
                    return "名称が入力されていません";
                case "Information is Blanks":
                    return "情報が入力されていません";
                case "Remark is Blanks":
                    return "注意事項が入力されていません";
                case "File"://
                    return "ファイル";
                case "Page"://
                    return "ページ";
                case "Date"://
                    return "日にち";
                case "Time"://
                    return "時間";
                case "Remarks"://
                    return "備考";
                case "Excel File Not Found.":
                    return "エクセルファイルが見つかりません";
                default:
                    return strEnglish;
            }



        }

    }
}
